# HG changeset patch
# User Tim Smith <hg@tds.xyz>
# Date 1486254350 28800
#      Sat Feb 04 16:25:50 2017 -0800
# Node ID 870e2e90a9e2549e4a744da87f25b365d7878b71
# Parent  f657f6acfefc5d5a5bf5b1c74879d02196ad5e5a
Set dock icon #4491

Set the dock icon when running from the command line. Depends on earlier patch for #4487.

This isn't needed for the application bundle but is needed for other deployments.

diff -r f657f6acfefc -r 870e2e90a9e2 chirp/ui/mainapp.py
--- a/chirp/ui/mainapp.py	Sat Feb 04 13:59:20 2017 -0800
+++ b/chirp/ui/mainapp.py	Sat Feb 04 16:25:50 2017 -0800
@@ -1947,6 +1947,13 @@
             LOG.error("No MacOS support: %s" % e)
             return
 
+        this_platform = platform.get_platform()
+        icon = (this_platform.find_resource("chirp.png") or
+                this_platform.find_resource(os.path.join("pixmaps", "chirp.png")))
+        if os.path.exists(icon):
+            icon_pixmap = gtk.gdk.pixbuf_new_from_file(icon)
+            macapp.set_dock_icon_pixbuf(icon_pixmap)
+
         menu_bar.hide()
         macapp.set_menu_bar(menu_bar)
 
